pangomm: Pango::AttrFontDesc Class Reference

pangomm 2.50.1

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Pango::AttrFontDesc Class Reference

A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once. More...

`#include <pangomm/attributes.h>`

Inheritance diagram for Pango::AttrFontDesc:
[legend]

## Public Member Functions
| AttrFontDesc (const AttrFontDesc & src)
| AttrFontDesc (PangoAttrFontDesc * castitem, bool take_copy=true)
AttrFontDesc & | operator= (const AttrFontDesc & src)
FontDescription | get_desc () const
| Gets the font description which is the value of the attribute. More...
void | set_desc (const FontDescription & desc)
| Sets the font description which is the value of the attribute. More...
PangoAttrFontDesc * | gobj ()
| Provides access to the underlying C GObject. More...
const PangoAttrFontDesc * | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Pango::Attribute
| Attribute ()
| Constructs an invalid attribute. More...
| Attribute (const Attribute & src)
| Attribute (PangoAttribute * castitem, bool take_copy=true)
| ~Attribute ()
Attribute & | operator= (const Attribute & src)
AttrType | get_type () const
| Gets the type ID for this attribute. More...
unsigned int | get_start_index () const
| Gets the start index of the range. More...
unsigned int | get_end_index () const
| Gets the end index of the range. More...
void | set_start_index (const unsigned int & value)
| Sets the start index of the range. More...
void | set_end_index (const unsigned int & value)
| Sets the end index of the range. More...
bool | equal (const Attribute & attr2) const
| Compare two attributes for equality. More...
PangoAttribute * | gobj ()
| Provides access to the underlying C GObject. More...
const PangoAttribute * | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Member Functions
| AttrFontDesc ()

## Related Functions
(Note that these are not member functions.)
Pango::AttrFontDesc | wrap (PangoAttrFontDesc * object, bool take_copy=false)
Related Functions inherited from Pango::Attribute
bool | operator== (const Attribute & lhs, const Attribute & rhs)
bool | operator!= (const Attribute & lhs, const Attribute & rhs)
Pango::Attribute | wrap (PangoAttribute * object, bool take_copy=false)

## Additional Inherited Members
Static Public Member Functions inherited from Pango::Attribute
static AttrType | register_type (const Glib::ustring & name)
| Allocate a new attribute type ID. More...
static Glib::ustring | get_type_name (AttrType type)
| Fetches the attribute type name passed in when registering the type using register_type(). More...
static AttrString | create_attr_family (const Glib::ustring & family)
| Create a new font family attribute. More...
static AttrLanguage | create_attr_language (const Language & language)
| Create a new language tag attribute. More...
static AttrColor | create_attr_foreground (guint16 red, guint16 green, guint16 blue)
| Create a new foreground color attribute. More...
static AttrColor | create_attr_background (guint16 red, guint16 green, guint16 blue)
| Create a new background color attribute. More...
static AttrInt | create_attr_foreground_alpha (guint16 alpha)
| Create a new foreground alpha attribute. More...
static AttrInt | create_attr_background_alpha (guint16 alpha)
| Create a new background alpha attribute. More...
static AttrInt | create_attr_size (int size)
| Create a new font-size attribute. More...
static AttrInt | create_attr_size_absolute (int size)
| Create a new font-size attribute. More...
static AttrInt | create_attr_style (Style style)
| Create a new font slant style attribute. More...
static AttrInt | create_attr_weight (Weight weight)
| Create a new font weight attribute. More...
static AttrInt | create_attr_variant (Variant variant)
| Create a new font variant attribute (normal or small caps). More...
static AttrInt | create_attr_stretch (Stretch stretch)
| Create a new font stretch attribute. More...
static AttrFontDesc | create_attr_font_desc (const FontDescription & desc)
| Create a new font description attribute. More...
static AttrInt | create_attr_underline (Underline underline)
| Create a new underline-style object. More...
static AttrColor | create_attr_underline_color (guint16 red, guint16 green, guint16 blue)
| Create a new underline color attribute. More...
static AttrInt | create_attr_overline (Overline overline)
| Create a new overline-style object. More...
static AttrColor | create_attr_overline_color (guint16 red, guint16 green, guint16 blue)
| Create a new overline color attribute. More...
static AttrInt | create_attr_strikethrough (bool strikethrough)
| Create a new font strike-through attribute. More...
static AttrColor | create_attr_strikethrough_color (guint16 red, guint16 green, guint16 blue)
| Create a new strikethrough color attribute. More...
static AttrInt | create_attr_rise (int rise)
| Create a new baseline displacement attribute. More...
static AttrInt | create_attr_baseline_shift (int shift)
| Create a new baseline displacement attribute. More...
static AttrInt | create_attr_font_scale (FontScale scale)
| Create a new font scale attribute. More...
static AttrFloat | create_attr_scale (double scale_factor)
| Create a new font size scale attribute. More...
static AttrInt | create_attr_fallback (bool enable_fallback)
| Create a new font fallback attribute. More...
static AttrInt | create_attr_letter_spacing (int letter_spacing)
| Create a new letter-spacing attribute. More...
static AttrShape | create_attr_shape (const Rectangle & ink_rect, const Rectangle & logical_rect)
| Create a new shape attribute. More...
static AttrInt | create_attr_gravity (Gravity gravity)
| Create a new gravity attribute. More...
static AttrInt | create_attr_gravity_hint (GravityHint hint)
| Create a new gravity hint attribute. More...
static AttrString | create_attr_font_features (const Glib::ustring & features)
| Create a new font features tag attribute. More...
static AttrInt | create_attr_allow_breaks (bool allow_breaks)
| Create a new allow-breaks attribute. More...
static AttrInt | create_attr_word ()
| Marks the range of the attribute as a single word. More...
static AttrInt | create_attr_sentence ()
| Marks the range of the attribute as a single sentence. More...
static AttrInt | create_attr_insert_hyphens (bool insert_hyphens)
| Create a new insert-hyphens attribute. More...
static AttrInt | create_attr_show (ShowFlags show)
| Create a new attribute that influences how invisible characters are rendered. More...
static AttrFloat | create_attr_line_height (double factor)
| Modify the height of logical line extents by a factor. More...
static AttrInt | create_attr_line_height_absolute (int height)
| Override the height of logical line extents to be height. More...
static AttrInt | create_attr_text_transform (TextTransform transform)
| Create a new attribute that influences how characters are transformed during shaping. More...
Protected Attributes inherited from Pango::Attribute
PangoAttribute * | gobject_

## Detailed Description

A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once.

## Constructor & Destructor Documentation

## ◆ AttrFontDesc() [1/3]

Pango::AttrFontDesc::AttrFontDesc | ( |  | ) |
| protected

## ◆ AttrFontDesc() [2/3]

Pango::AttrFontDesc::AttrFontDesc | ( | const AttrFontDesc & | src | ) |

## ◆ AttrFontDesc() [3/3]

Pango::AttrFontDesc::AttrFontDesc | ( | PangoAttrFontDesc * | castitem,
|  | bool | take_copy = `true`
| ) |  |
| explicit

## Member Function Documentation

## ◆ get_desc()

FontDescription Pango::AttrFontDesc::get_desc | ( |  | ) | const

Gets the font description which is the value of the attribute.

Returns
  The font description of the attribute.

## ◆ gobj() [1/2]

PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

AttrFontDesc& Pango::AttrFontDesc::operator= | ( | const AttrFontDesc & | src | ) |

## ◆ set_desc()

void Pango::AttrFontDesc::set_desc | ( | const FontDescription & | desc | ) |

Sets the font description which is the value of the attribute.

Parameters

  desc | The new font description for the attribute.

## Friends And Related Function Documentation

## ◆ wrap()

Pango::AttrFontDesc wrap | ( | PangoAttrFontDesc * | object,
|  | bool | take_copy = `false`
| ) |  |
| related